<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: edit_userprofilepics.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";

/* Einstellungen */
$max_width = 800; // max. Breite in Pixel
$max_height = 800; // max. Hoehe in Pixel
$max_tn_size = 100; // max. Breite Thumbnails
$max_pics = 30; // max Anzahl Bilder je User
$thumbs_per_row = 5; // Anzahl Thumbnails in einer Reihe
/* Einstellungen */

if (!iMEMBER) redirect("login.php");
add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/fancybox/jquery.mousewheel-3.0.4.pack.js'></script>\n");
add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/fancybox/jquery.fancybox-1.3.4.pack.js'></script>\n");
add_to_head("<link rel='stylesheet' type='text/css' href='".INCLUDES."jquery/fancybox/jquery.fancybox-1.3.4.css' media='screen' />\n");
add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/fancybox/jquery.fancybox-1.3.4.pack.js'></script>\n");
add_to_head("<link rel='stylesheet' type='text/css' href='".INCLUDES."jquery/fancybox/jquery.fancybox-1.3.4.css' media='screen' />\n");


opentable('Foto-Album Bearbeiten');

if(isset($_POST['deletepic'])) {
  @unlink(IMAGES."userprofilepics/thumbs/".$_POST['pic_to_delete']);
  @unlink(IMAGES."userprofilepics/".str_replace('th_','',$_POST['pic_to_delete']));
  redirect(FUSION_SELF);
}
  

echo "<table border='0' align='center' cellspacing='1' cellpadding='0' class='tbl-border' style='border-radius: 4px'>
  <tr>";
$i=0;
$found = 0;
$pfad  = IMAGES."userprofilepics/thumbs/";
$verz = opendir($pfad);
while ($file=readdir($verz))
{
    if (filetype($pfad.$file)!="dir")
    {
        $i++;
        if($file != substr_count($file,"[".$userdata['user_id']."]")) {
        $found++;
        $bildinfos = getimagesize(IMAGES."userprofilepics/".str_replace('th_','',$file)); 
		$bildsize = filesize(IMAGES."userprofilepics/".str_replace('th_','',$file));
        echo "<td valign='bottom' width='33%' class='tbl3' border='0'>
        <table align='center' border='0' cellspacing='0' cellpadding='10'>
          <tr>
            <td align='center' valign='bottom' border='0'>
            <a rel='kat' href='".IMAGES."userprofilepics/".str_replace('th_','',$file)."'><img border='0' src='".IMAGES."userprofilepics/thumbs/".$file."' alt='' style='border: 1px solid #555; border-radius: 4px;' /></a>\n";            
            echo "<div align='left' style='margin: 5px; 10px;' class='small'>Breite: " .$bildinfos[0]." Pixel<br />";
   echo "H&ouml;he: ".$bildinfos[1]." Pixel<br />Gr&ouml;&szlig;e: ".str_replace(".", ",", parsebytesize($bildsize))."</div>";
echo "</td>
          </tr>
          <tr>
            <td align='center'>
            <form name='deleteform' method='post' action='".FUSION_SELF."'>
            <input type='hidden' name='pic_to_delete' value='".$file."' />
            <input name='deletepic' type='submit' class='button' value='L&ouml;schen' />
            </form>
            </td>
          </tr>
        </table>
        </td>";
        if(is_int($found/$thumbs_per_row)) 
		echo "</tr>\n</table>
        <table style='width:100%;' border='0' cellspacing='1' cellpadding='0' class='tbl-border'>\n<tr>";
    }}
}
closedir($verz);
echo "</tr>
</table>\n";




if(isset($_POST['upload'])) {
$error="";
$newname_string="[".$userdata['user_id']."]".time();
if(isset($_FILES['userpic'])) {
$newpic = $_FILES['userpic'];
$bildinfos = getimagesize($newpic['tmp_name']); 


if($bildinfos[2]<1 || $bildinfos[2]>3) $error='Fejl fil type!';

if(!$error) {

if($bildinfos[2]==1) {
  $altesBild=ImageCreateFromGIF($newpic['tmp_name']);
  $filetype = ".gif";
  }
elseif($bildinfos[2]==2) {
  $altesBild=ImageCreateFromJPEG($newpic['tmp_name']);
  $filetype = ".jpg";
  }
elseif($bildinfos[2]==3) {
  $altesBild=ImageCreateFromPNG($newpic['tmp_name']);
  $filetype = ".png";
  }


if($bildinfos[0]>$max_width || $bildinfos[1]>$max_height) {
  if($bildinfos[0]<$bildinfos[1]) {
  $new_width = intval($bildinfos[0]/($bildinfos[1]/$max_height));
  $new_height = $max_height;
  }
  elseif($bildinfos[1]<$bildinfos[0]) {
  $new_height = intval($bildinfos[1]/($bildinfos[0]/$max_width));
  $new_width = $max_width;
  }
  else { $new_width=$max_width; $new_height=$max_height; }
echo '<br />Dein Bild wird skalliert '.$new_width.' x '.$new_height.' pixel ...<br />';
}

else {$new_width=$bildinfos[0]; $new_height=$bildinfos[1];}

$neuesBild=imagecreatetruecolor($new_width,$new_height);
ImageCopyResized($neuesBild,$altesBild,0,0,0,0,$new_width,$new_height,$bildinfos[0],$bildinfos[1]); 
ImageJPEG($neuesBild,IMAGES."userprofilepics/".$newname_string.".jpg");



$bildinfos = getimagesize(IMAGES."userprofilepics/".$newname_string.".jpg");
$altesBild=ImageCreateFromJPEG(IMAGES."userprofilepics/".$newname_string.".jpg");



if($bildinfos[0]<$bildinfos[1]) {
$new_width = $bildinfos[0]/($bildinfos[1]/$max_tn_size);
$new_height = $max_tn_size;
}
elseif($bildinfos[1]<$bildinfos[0]) {
$new_height = $bildinfos[1]/($bildinfos[0]/$max_tn_size);
$new_width = $max_tn_size;
}
else { $new_width=$max_tn_size; $new_height=$max_tn_size; }

$neuesBild=imagecreatetruecolor($new_width,$new_height);
ImageCopyResized($neuesBild,$altesBild,0,0,0,0,$new_width,$new_height,$bildinfos[0],$bildinfos[1]); 
ImageJPEG($neuesBild,IMAGES."userprofilepics/thumbs/th_".$newname_string.".jpg");
redirect(FUSION_SELF);
}
}
}

echo "<br />
Erlaubte Dateitypen: <b>gif, jpg, png</b><br />
Du hast nun: <b>".$found."</b> Bilder in deinem Album<br />
Es k&ouml;nnen max: <b>".$max_pics."</b> Bilder hochgeladen werden.<br />
Du kannst noch <b>";
$unused = $max_pics - $found;
if($unused<0) $unused=0;
echo $unused."</b> ".($unused > 1 ? "Bilder" : "Bild")." hochladen.<br />
<br /><br /><br />
<b>Erl&auml;uterung:</b><br />
Alle Bilder werden umgewandelt in JPG mit eine Gr&ouml;&szlig;e von max 500 * 500 Pixel<br />";

if(($max_pics-$found)>0) {
echo "<br />
<hr />
<br />
<b>Fotos hochladen</b> :
<br /><br />
<form name='uploadform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data'>
<table border='0' cellspacing='0' cellpadding='0'>\n<tr>
 <td align='left' width='200' class='tbl1'><input class='file' type='file' name='userpic' /></td>\n<td width='100' align='left'><input name='upload' type='submit' class='button' value='Hochladen' /></td>
 </tr>
 </table>
</form>
";
}

closetable();

require_once THEMES."templates/footer.php";
?>